import { Injector, Provider } from '@opensumi/di';
import { AppConfig, BrowserModule, ClientAppContribution, CommandContribution, CommandRegistry, IEventBus, ILogger, KeybindingContribution, KeybindingRegistry } from '@opensumi/ide-core-browser';
import { ComponentContribution, ComponentRegistry } from '@opensumi/ide-core-browser/lib/layout';
import { IMenuRegistry, MenuContribution } from '@opensumi/ide-core-browser/lib/menu/next';
import '../common/i18n/setup';
export declare class ElectronBasicModule extends BrowserModule {
    providers: Provider[];
}
export declare class ElectronBasicContribution implements KeybindingContribution, CommandContribution, ComponentContribution, ClientAppContribution, MenuContribution {
    config: AppConfig;
    injector: Injector;
    eventBus: IEventBus;
    private electronMenuBarService;
    private electronMainMenuService;
    private electronMainLifeCycleService;
    private electronMainUIService;
    private messageService;
    logger: ILogger;
    registerComponent(registry: ComponentRegistry): void;
    registerMenus(menuRegistry: IMenuRegistry): void;
    registerCommands(commands: CommandRegistry): void;
    registerKeybindings(keybindings: KeybindingRegistry): void;
    onStart(): void;
}
//# sourceMappingURL=index.d.ts.map