"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EditorWelcomeComponent = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_file_service_1 = require("@opensumi/ide-file-service");
const ide_overlay_1 = require("@opensumi/ide-overlay");
const welcome_module_less_1 = tslib_1.__importDefault(require("./welcome.module.less"));
const EditorWelcomeComponent = ({ resource }) => {
    var _a;
    const commandService = (0, ide_core_browser_1.useInjectable)(ide_core_browser_1.CommandService);
    const windowService = (0, ide_core_browser_1.useInjectable)(ide_core_browser_1.IWindowService);
    const fileService = (0, ide_core_browser_1.useInjectable)(ide_file_service_1.IFileServiceClient);
    const messageService = (0, ide_core_browser_1.useInjectable)(ide_overlay_1.IMessageService);
    return (react_1.default.createElement("div", { className: welcome_module_less_1.default.welcome },
        react_1.default.createElement("div", null,
            react_1.default.createElement("h1", null, (0, ide_core_browser_1.localize)('welcome.quickStart')),
            react_1.default.createElement("div", null,
                react_1.default.createElement("a", { onClick: () => {
                        commandService.executeCommand(ide_core_browser_1.FILE_COMMANDS.OPEN_FOLDER.id, { newWindow: false });
                    } }, (0, ide_core_browser_1.localize)('file.open.folder')))),
        react_1.default.createElement("div", null,
            react_1.default.createElement("h1", null, (0, ide_core_browser_1.localize)('welcome.recent.workspace')), (_a = resource.metadata) === null || _a === void 0 ? void 0 :
            _a.recentWorkspaces.map((workspace) => {
                let workspacePath = workspace;
                if (workspace.startsWith('file://')) {
                    workspacePath = ide_core_browser_1.FileUri.fsPath(workspace);
                }
                return (react_1.default.createElement("div", { key: workspace, className: welcome_module_less_1.default.recentRow },
                    react_1.default.createElement("a", { onClick: async () => {
                            const uri = new ide_core_browser_1.URI(workspace);
                            const exist = await fileService.getFileStat(uri.toString());
                            if (exist) {
                                windowService.openWorkspace(uri, { newWindow: false });
                            }
                            else {
                                messageService.error((0, ide_core_browser_1.localize)('welcome.workspace.noExist'));
                            }
                        } }, workspacePath)));
            }))));
};
exports.EditorWelcomeComponent = EditorWelcomeComponent;
//# sourceMappingURL=welcome.js.map