"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WelcomeContribution = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_editor_1 = require("@opensumi/ide-editor");
const browser_1 = require("@opensumi/ide-editor/lib/browser");
const ide_workspace_1 = require("@opensumi/ide-workspace");
const welcome_1 = require("./welcome");
let WelcomeContribution = class WelcomeContribution {
    registerEditorComponent(registry) {
        registry.registerEditorComponent({
            uid: 'welcome',
            scheme: 'welcome',
            component: welcome_1.EditorWelcomeComponent,
            renderMode: browser_1.EditorComponentRenderMode.ONE_PER_WORKBENCH,
        });
        registry.registerEditorComponentResolver('welcome', (resource, results) => {
            results.push({
                type: browser_1.EditorOpenType.component,
                componentId: 'welcome',
            });
        });
    }
    registerResource(service) {
        service.registerResourceProvider({
            scheme: 'welcome',
            provideResource: async (uri) => Promise.all([
                this.workspaceService.getMostRecentlyUsedWorkspaces(),
                this.recentFilesManager.getMostRecentlyOpenedFiles(),
            ]).then(([workspaces, files]) => ({
                uri,
                name: (0, ide_core_browser_1.localize)('welcome.title'),
                icon: '',
                metadata: {
                    recentWorkspaces: workspaces || [],
                    recentFiles: files || [],
                },
            })),
        });
    }
    onDidStart() {
        if (!this.workspaceService.workspace) {
            this.editorService.open(new ide_core_browser_1.URI('welcome://'));
        }
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_workspace_1.IWorkspaceService),
    tslib_1.__metadata("design:type", Object)
], WelcomeContribution.prototype, "workspaceService", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_editor_1.WorkbenchEditorService),
    tslib_1.__metadata("design:type", ide_editor_1.WorkbenchEditorService)
], WelcomeContribution.prototype, "editorService", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_browser_1.RecentFilesManager),
    tslib_1.__metadata("design:type", ide_core_browser_1.RecentFilesManager)
], WelcomeContribution.prototype, "recentFilesManager", void 0);
WelcomeContribution = tslib_1.__decorate([
    (0, ide_core_browser_1.Domain)(browser_1.BrowserEditorContribution, ide_core_browser_1.ClientAppContribution)
], WelcomeContribution);
exports.WelcomeContribution = WelcomeContribution;
//# sourceMappingURL=contribution.js.map